Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network20.192.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
20.192.0.0
Broadcast address
20.223.255.255
First usable
20.192.0.1
Last usable
20.223.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 14C00000 · Integer 348127232 to 350224383
Reverse DNS zones
192.20.in-addr.arpa
193.20.in-addr.arpa
194.20.in-addr.arpa
195.20.in-addr.arpa
196.20.in-addr.arpa
197.20.in-addr.arpa
198.20.in-addr.arpa
199.20.in-addr.arpa
200.20.in-addr.arpa
201.20.in-addr.arpa
202.20.in-addr.arpa
203.20.in-addr.arpa
204.20.in-addr.arpa
205.20.in-addr.arpa
206.20.in-addr.arpa
207.20.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010100.11000000.00000000.0000000020.192.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00010100.11000000.00000000.0000000020.192.0.0
Broadcast00010100.11011111.11111111.1111111120.223.255.255
Split into smaller subnets/21

20.192.0.0/11 makes 1,024 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
120.192.0.0/2120.192.0.1 to 20.192.7.25420.192.7.2552,046
220.192.8.0/2120.192.8.1 to 20.192.15.25420.192.15.2552,046
320.192.16.0/2120.192.16.1 to 20.192.23.25420.192.23.2552,046
420.192.24.0/2120.192.24.1 to 20.192.31.25420.192.31.2552,046
520.192.32.0/2120.192.32.1 to 20.192.39.25420.192.39.2552,046
620.192.40.0/2120.192.40.1 to 20.192.47.25420.192.47.2552,046
720.192.48.0/2120.192.48.1 to 20.192.55.25420.192.55.2552,046
820.192.56.0/2120.192.56.1 to 20.192.63.25420.192.63.2552,046
920.192.64.0/2120.192.64.1 to 20.192.71.25420.192.71.2552,046
1020.192.72.0/2120.192.72.1 to 20.192.79.25420.192.79.2552,046
1120.192.80.0/2120.192.80.1 to 20.192.87.25420.192.87.2552,046
1220.192.88.0/2120.192.88.1 to 20.192.95.25420.192.95.2552,046
1320.192.96.0/2120.192.96.1 to 20.192.103.25420.192.103.2552,046
1420.192.104.0/2120.192.104.1 to 20.192.111.25420.192.111.2552,046
1520.192.112.0/2120.192.112.1 to 20.192.119.25420.192.119.2552,046
1620.192.120.0/2120.192.120.1 to 20.192.127.25420.192.127.2552,046
1720.192.128.0/2120.192.128.1 to 20.192.135.25420.192.135.2552,046
1820.192.136.0/2120.192.136.1 to 20.192.143.25420.192.143.2552,046
1920.192.144.0/2120.192.144.1 to 20.192.151.25420.192.151.2552,046
2020.192.152.0/2120.192.152.1 to 20.192.159.25420.192.159.2552,046
2120.192.160.0/2120.192.160.1 to 20.192.167.25420.192.167.2552,046
2220.192.168.0/2120.192.168.1 to 20.192.175.25420.192.175.2552,046
2320.192.176.0/2120.192.176.1 to 20.192.183.25420.192.183.2552,046
2420.192.184.0/2120.192.184.1 to 20.192.191.25420.192.191.2552,046
2520.192.192.0/2120.192.192.1 to 20.192.199.25420.192.199.2552,046
2620.192.200.0/2120.192.200.1 to 20.192.207.25420.192.207.2552,046
2720.192.208.0/2120.192.208.1 to 20.192.215.25420.192.215.2552,046
2820.192.216.0/2120.192.216.1 to 20.192.223.25420.192.223.2552,046
2920.192.224.0/2120.192.224.1 to 20.192.231.25420.192.231.2552,046
3020.192.232.0/2120.192.232.1 to 20.192.239.25420.192.239.2552,046
3120.192.240.0/2120.192.240.1 to 20.192.247.25420.192.247.2552,046
3220.192.248.0/2120.192.248.1 to 20.192.255.25420.192.255.2552,046
3320.193.0.0/2120.193.0.1 to 20.193.7.25420.193.7.2552,046
3420.193.8.0/2120.193.8.1 to 20.193.15.25420.193.15.2552,046
3520.193.16.0/2120.193.16.1 to 20.193.23.25420.193.23.2552,046
3620.193.24.0/2120.193.24.1 to 20.193.31.25420.193.31.2552,046
3720.193.32.0/2120.193.32.1 to 20.193.39.25420.193.39.2552,046
3820.193.40.0/2120.193.40.1 to 20.193.47.25420.193.47.2552,046
3920.193.48.0/2120.193.48.1 to 20.193.55.25420.193.55.2552,046
4020.193.56.0/2120.193.56.1 to 20.193.63.25420.193.63.2552,046
4120.193.64.0/2120.193.64.1 to 20.193.71.25420.193.71.2552,046
4220.193.72.0/2120.193.72.1 to 20.193.79.25420.193.79.2552,046
4320.193.80.0/2120.193.80.1 to 20.193.87.25420.193.87.2552,046
4420.193.88.0/2120.193.88.1 to 20.193.95.25420.193.95.2552,046
4520.193.96.0/2120.193.96.1 to 20.193.103.25420.193.103.2552,046
4620.193.104.0/2120.193.104.1 to 20.193.111.25420.193.111.2552,046
4720.193.112.0/2120.193.112.1 to 20.193.119.25420.193.119.2552,046
4820.193.120.0/2120.193.120.1 to 20.193.127.25420.193.127.2552,046
4920.193.128.0/2120.193.128.1 to 20.193.135.25420.193.135.2552,046
5020.193.136.0/2120.193.136.1 to 20.193.143.25420.193.143.2552,046
5120.193.144.0/2120.193.144.1 to 20.193.151.25420.193.151.2552,046
5220.193.152.0/2120.193.152.1 to 20.193.159.25420.193.159.2552,046
5320.193.160.0/2120.193.160.1 to 20.193.167.25420.193.167.2552,046
5420.193.168.0/2120.193.168.1 to 20.193.175.25420.193.175.2552,046
5520.193.176.0/2120.193.176.1 to 20.193.183.25420.193.183.2552,046
5620.193.184.0/2120.193.184.1 to 20.193.191.25420.193.191.2552,046
5720.193.192.0/2120.193.192.1 to 20.193.199.25420.193.199.2552,046
5820.193.200.0/2120.193.200.1 to 20.193.207.25420.193.207.2552,046
5920.193.208.0/2120.193.208.1 to 20.193.215.25420.193.215.2552,046
6020.193.216.0/2120.193.216.1 to 20.193.223.25420.193.223.2552,046
6120.193.224.0/2120.193.224.1 to 20.193.231.25420.193.231.2552,046
6220.193.232.0/2120.193.232.1 to 20.193.239.25420.193.239.2552,046
6320.193.240.0/2120.193.240.1 to 20.193.247.25420.193.247.2552,046
6420.193.248.0/2120.193.248.1 to 20.193.255.25420.193.255.2552,046
6520.194.0.0/2120.194.0.1 to 20.194.7.25420.194.7.2552,046
6620.194.8.0/2120.194.8.1 to 20.194.15.25420.194.15.2552,046
6720.194.16.0/2120.194.16.1 to 20.194.23.25420.194.23.2552,046
6820.194.24.0/2120.194.24.1 to 20.194.31.25420.194.31.2552,046
6920.194.32.0/2120.194.32.1 to 20.194.39.25420.194.39.2552,046
7020.194.40.0/2120.194.40.1 to 20.194.47.25420.194.47.2552,046
7120.194.48.0/2120.194.48.1 to 20.194.55.25420.194.55.2552,046
7220.194.56.0/2120.194.56.1 to 20.194.63.25420.194.63.2552,046
7320.194.64.0/2120.194.64.1 to 20.194.71.25420.194.71.2552,046
7420.194.72.0/2120.194.72.1 to 20.194.79.25420.194.79.2552,046
7520.194.80.0/2120.194.80.1 to 20.194.87.25420.194.87.2552,046
7620.194.88.0/2120.194.88.1 to 20.194.95.25420.194.95.2552,046
7720.194.96.0/2120.194.96.1 to 20.194.103.25420.194.103.2552,046
7820.194.104.0/2120.194.104.1 to 20.194.111.25420.194.111.2552,046
7920.194.112.0/2120.194.112.1 to 20.194.119.25420.194.119.2552,046
8020.194.120.0/2120.194.120.1 to 20.194.127.25420.194.127.2552,046
8120.194.128.0/2120.194.128.1 to 20.194.135.25420.194.135.2552,046
8220.194.136.0/2120.194.136.1 to 20.194.143.25420.194.143.2552,046
8320.194.144.0/2120.194.144.1 to 20.194.151.25420.194.151.2552,046
8420.194.152.0/2120.194.152.1 to 20.194.159.25420.194.159.2552,046
8520.194.160.0/2120.194.160.1 to 20.194.167.25420.194.167.2552,046
8620.194.168.0/2120.194.168.1 to 20.194.175.25420.194.175.2552,046
8720.194.176.0/2120.194.176.1 to 20.194.183.25420.194.183.2552,046
8820.194.184.0/2120.194.184.1 to 20.194.191.25420.194.191.2552,046
8920.194.192.0/2120.194.192.1 to 20.194.199.25420.194.199.2552,046
9020.194.200.0/2120.194.200.1 to 20.194.207.25420.194.207.2552,046
9120.194.208.0/2120.194.208.1 to 20.194.215.25420.194.215.2552,046
9220.194.216.0/2120.194.216.1 to 20.194.223.25420.194.223.2552,046
9320.194.224.0/2120.194.224.1 to 20.194.231.25420.194.231.2552,046
9420.194.232.0/2120.194.232.1 to 20.194.239.25420.194.239.2552,046
9520.194.240.0/2120.194.240.1 to 20.194.247.25420.194.247.2552,046
9620.194.248.0/2120.194.248.1 to 20.194.255.25420.194.255.2552,046
9720.195.0.0/2120.195.0.1 to 20.195.7.25420.195.7.2552,046
9820.195.8.0/2120.195.8.1 to 20.195.15.25420.195.15.2552,046
9920.195.16.0/2120.195.16.1 to 20.195.23.25420.195.23.2552,046
10020.195.24.0/2120.195.24.1 to 20.195.31.25420.195.31.2552,046
10120.195.32.0/2120.195.32.1 to 20.195.39.25420.195.39.2552,046
10220.195.40.0/2120.195.40.1 to 20.195.47.25420.195.47.2552,046
10320.195.48.0/2120.195.48.1 to 20.195.55.25420.195.55.2552,046
10420.195.56.0/2120.195.56.1 to 20.195.63.25420.195.63.2552,046
10520.195.64.0/2120.195.64.1 to 20.195.71.25420.195.71.2552,046
10620.195.72.0/2120.195.72.1 to 20.195.79.25420.195.79.2552,046
10720.195.80.0/2120.195.80.1 to 20.195.87.25420.195.87.2552,046
10820.195.88.0/2120.195.88.1 to 20.195.95.25420.195.95.2552,046
10920.195.96.0/2120.195.96.1 to 20.195.103.25420.195.103.2552,046
11020.195.104.0/2120.195.104.1 to 20.195.111.25420.195.111.2552,046
11120.195.112.0/2120.195.112.1 to 20.195.119.25420.195.119.2552,046
11220.195.120.0/2120.195.120.1 to 20.195.127.25420.195.127.2552,046
11320.195.128.0/2120.195.128.1 to 20.195.135.25420.195.135.2552,046
11420.195.136.0/2120.195.136.1 to 20.195.143.25420.195.143.2552,046
11520.195.144.0/2120.195.144.1 to 20.195.151.25420.195.151.2552,046
11620.195.152.0/2120.195.152.1 to 20.195.159.25420.195.159.2552,046
11720.195.160.0/2120.195.160.1 to 20.195.167.25420.195.167.2552,046
11820.195.168.0/2120.195.168.1 to 20.195.175.25420.195.175.2552,046
11920.195.176.0/2120.195.176.1 to 20.195.183.25420.195.183.2552,046
12020.195.184.0/2120.195.184.1 to 20.195.191.25420.195.191.2552,046
12120.195.192.0/2120.195.192.1 to 20.195.199.25420.195.199.2552,046
12220.195.200.0/2120.195.200.1 to 20.195.207.25420.195.207.2552,046
12320.195.208.0/2120.195.208.1 to 20.195.215.25420.195.215.2552,046
12420.195.216.0/2120.195.216.1 to 20.195.223.25420.195.223.2552,046
12520.195.224.0/2120.195.224.1 to 20.195.231.25420.195.231.2552,046
12620.195.232.0/2120.195.232.1 to 20.195.239.25420.195.239.2552,046
12720.195.240.0/2120.195.240.1 to 20.195.247.25420.195.247.2552,046
12820.195.248.0/2120.195.248.1 to 20.195.255.25420.195.255.2552,046
12920.196.0.0/2120.196.0.1 to 20.196.7.25420.196.7.2552,046
13020.196.8.0/2120.196.8.1 to 20.196.15.25420.196.15.2552,046
13120.196.16.0/2120.196.16.1 to 20.196.23.25420.196.23.2552,046
13220.196.24.0/2120.196.24.1 to 20.196.31.25420.196.31.2552,046
13320.196.32.0/2120.196.32.1 to 20.196.39.25420.196.39.2552,046
13420.196.40.0/2120.196.40.1 to 20.196.47.25420.196.47.2552,046
13520.196.48.0/2120.196.48.1 to 20.196.55.25420.196.55.2552,046
13620.196.56.0/2120.196.56.1 to 20.196.63.25420.196.63.2552,046
13720.196.64.0/2120.196.64.1 to 20.196.71.25420.196.71.2552,046
13820.196.72.0/2120.196.72.1 to 20.196.79.25420.196.79.2552,046
13920.196.80.0/2120.196.80.1 to 20.196.87.25420.196.87.2552,046
14020.196.88.0/2120.196.88.1 to 20.196.95.25420.196.95.2552,046
14120.196.96.0/2120.196.96.1 to 20.196.103.25420.196.103.2552,046
14220.196.104.0/2120.196.104.1 to 20.196.111.25420.196.111.2552,046
14320.196.112.0/2120.196.112.1 to 20.196.119.25420.196.119.2552,046
14420.196.120.0/2120.196.120.1 to 20.196.127.25420.196.127.2552,046
14520.196.128.0/2120.196.128.1 to 20.196.135.25420.196.135.2552,046
14620.196.136.0/2120.196.136.1 to 20.196.143.25420.196.143.2552,046
14720.196.144.0/2120.196.144.1 to 20.196.151.25420.196.151.2552,046
14820.196.152.0/2120.196.152.1 to 20.196.159.25420.196.159.2552,046
14920.196.160.0/2120.196.160.1 to 20.196.167.25420.196.167.2552,046
15020.196.168.0/2120.196.168.1 to 20.196.175.25420.196.175.2552,046
15120.196.176.0/2120.196.176.1 to 20.196.183.25420.196.183.2552,046
15220.196.184.0/2120.196.184.1 to 20.196.191.25420.196.191.2552,046
15320.196.192.0/2120.196.192.1 to 20.196.199.25420.196.199.2552,046
15420.196.200.0/2120.196.200.1 to 20.196.207.25420.196.207.2552,046
15520.196.208.0/2120.196.208.1 to 20.196.215.25420.196.215.2552,046
15620.196.216.0/2120.196.216.1 to 20.196.223.25420.196.223.2552,046
15720.196.224.0/2120.196.224.1 to 20.196.231.25420.196.231.2552,046
15820.196.232.0/2120.196.232.1 to 20.196.239.25420.196.239.2552,046
15920.196.240.0/2120.196.240.1 to 20.196.247.25420.196.247.2552,046
16020.196.248.0/2120.196.248.1 to 20.196.255.25420.196.255.2552,046
16120.197.0.0/2120.197.0.1 to 20.197.7.25420.197.7.2552,046
16220.197.8.0/2120.197.8.1 to 20.197.15.25420.197.15.2552,046
16320.197.16.0/2120.197.16.1 to 20.197.23.25420.197.23.2552,046
16420.197.24.0/2120.197.24.1 to 20.197.31.25420.197.31.2552,046
16520.197.32.0/2120.197.32.1 to 20.197.39.25420.197.39.2552,046
16620.197.40.0/2120.197.40.1 to 20.197.47.25420.197.47.2552,046
16720.197.48.0/2120.197.48.1 to 20.197.55.25420.197.55.2552,046
16820.197.56.0/2120.197.56.1 to 20.197.63.25420.197.63.2552,046
16920.197.64.0/2120.197.64.1 to 20.197.71.25420.197.71.2552,046
17020.197.72.0/2120.197.72.1 to 20.197.79.25420.197.79.2552,046
17120.197.80.0/2120.197.80.1 to 20.197.87.25420.197.87.2552,046
17220.197.88.0/2120.197.88.1 to 20.197.95.25420.197.95.2552,046
17320.197.96.0/2120.197.96.1 to 20.197.103.25420.197.103.2552,046
17420.197.104.0/2120.197.104.1 to 20.197.111.25420.197.111.2552,046
17520.197.112.0/2120.197.112.1 to 20.197.119.25420.197.119.2552,046
17620.197.120.0/2120.197.120.1 to 20.197.127.25420.197.127.2552,046
17720.197.128.0/2120.197.128.1 to 20.197.135.25420.197.135.2552,046
17820.197.136.0/2120.197.136.1 to 20.197.143.25420.197.143.2552,046
17920.197.144.0/2120.197.144.1 to 20.197.151.25420.197.151.2552,046
18020.197.152.0/2120.197.152.1 to 20.197.159.25420.197.159.2552,046
18120.197.160.0/2120.197.160.1 to 20.197.167.25420.197.167.2552,046
18220.197.168.0/2120.197.168.1 to 20.197.175.25420.197.175.2552,046
18320.197.176.0/2120.197.176.1 to 20.197.183.25420.197.183.2552,046
18420.197.184.0/2120.197.184.1 to 20.197.191.25420.197.191.2552,046
18520.197.192.0/2120.197.192.1 to 20.197.199.25420.197.199.2552,046
18620.197.200.0/2120.197.200.1 to 20.197.207.25420.197.207.2552,046
18720.197.208.0/2120.197.208.1 to 20.197.215.25420.197.215.2552,046
18820.197.216.0/2120.197.216.1 to 20.197.223.25420.197.223.2552,046
18920.197.224.0/2120.197.224.1 to 20.197.231.25420.197.231.2552,046
19020.197.232.0/2120.197.232.1 to 20.197.239.25420.197.239.2552,046
19120.197.240.0/2120.197.240.1 to 20.197.247.25420.197.247.2552,046
19220.197.248.0/2120.197.248.1 to 20.197.255.25420.197.255.2552,046
19320.198.0.0/2120.198.0.1 to 20.198.7.25420.198.7.2552,046
19420.198.8.0/2120.198.8.1 to 20.198.15.25420.198.15.2552,046
19520.198.16.0/2120.198.16.1 to 20.198.23.25420.198.23.2552,046
19620.198.24.0/2120.198.24.1 to 20.198.31.25420.198.31.2552,046
19720.198.32.0/2120.198.32.1 to 20.198.39.25420.198.39.2552,046
19820.198.40.0/2120.198.40.1 to 20.198.47.25420.198.47.2552,046
19920.198.48.0/2120.198.48.1 to 20.198.55.25420.198.55.2552,046
20020.198.56.0/2120.198.56.1 to 20.198.63.25420.198.63.2552,046
20120.198.64.0/2120.198.64.1 to 20.198.71.25420.198.71.2552,046
20220.198.72.0/2120.198.72.1 to 20.198.79.25420.198.79.2552,046
20320.198.80.0/2120.198.80.1 to 20.198.87.25420.198.87.2552,046
20420.198.88.0/2120.198.88.1 to 20.198.95.25420.198.95.2552,046
20520.198.96.0/2120.198.96.1 to 20.198.103.25420.198.103.2552,046
20620.198.104.0/2120.198.104.1 to 20.198.111.25420.198.111.2552,046
20720.198.112.0/2120.198.112.1 to 20.198.119.25420.198.119.2552,046
20820.198.120.0/2120.198.120.1 to 20.198.127.25420.198.127.2552,046
20920.198.128.0/2120.198.128.1 to 20.198.135.25420.198.135.2552,046
21020.198.136.0/2120.198.136.1 to 20.198.143.25420.198.143.2552,046
21120.198.144.0/2120.198.144.1 to 20.198.151.25420.198.151.2552,046
21220.198.152.0/2120.198.152.1 to 20.198.159.25420.198.159.2552,046
21320.198.160.0/2120.198.160.1 to 20.198.167.25420.198.167.2552,046
21420.198.168.0/2120.198.168.1 to 20.198.175.25420.198.175.2552,046
21520.198.176.0/2120.198.176.1 to 20.198.183.25420.198.183.2552,046
21620.198.184.0/2120.198.184.1 to 20.198.191.25420.198.191.2552,046
21720.198.192.0/2120.198.192.1 to 20.198.199.25420.198.199.2552,046
21820.198.200.0/2120.198.200.1 to 20.198.207.25420.198.207.2552,046
21920.198.208.0/2120.198.208.1 to 20.198.215.25420.198.215.2552,046
22020.198.216.0/2120.198.216.1 to 20.198.223.25420.198.223.2552,046
22120.198.224.0/2120.198.224.1 to 20.198.231.25420.198.231.2552,046
22220.198.232.0/2120.198.232.1 to 20.198.239.25420.198.239.2552,046
22320.198.240.0/2120.198.240.1 to 20.198.247.25420.198.247.2552,046
22420.198.248.0/2120.198.248.1 to 20.198.255.25420.198.255.2552,046
22520.199.0.0/2120.199.0.1 to 20.199.7.25420.199.7.2552,046
22620.199.8.0/2120.199.8.1 to 20.199.15.25420.199.15.2552,046
22720.199.16.0/2120.199.16.1 to 20.199.23.25420.199.23.2552,046
22820.199.24.0/2120.199.24.1 to 20.199.31.25420.199.31.2552,046
22920.199.32.0/2120.199.32.1 to 20.199.39.25420.199.39.2552,046
23020.199.40.0/2120.199.40.1 to 20.199.47.25420.199.47.2552,046
23120.199.48.0/2120.199.48.1 to 20.199.55.25420.199.55.2552,046
23220.199.56.0/2120.199.56.1 to 20.199.63.25420.199.63.2552,046
23320.199.64.0/2120.199.64.1 to 20.199.71.25420.199.71.2552,046
23420.199.72.0/2120.199.72.1 to 20.199.79.25420.199.79.2552,046
23520.199.80.0/2120.199.80.1 to 20.199.87.25420.199.87.2552,046
23620.199.88.0/2120.199.88.1 to 20.199.95.25420.199.95.2552,046
23720.199.96.0/2120.199.96.1 to 20.199.103.25420.199.103.2552,046
23820.199.104.0/2120.199.104.1 to 20.199.111.25420.199.111.2552,046
23920.199.112.0/2120.199.112.1 to 20.199.119.25420.199.119.2552,046
24020.199.120.0/2120.199.120.1 to 20.199.127.25420.199.127.2552,046
24120.199.128.0/2120.199.128.1 to 20.199.135.25420.199.135.2552,046
24220.199.136.0/2120.199.136.1 to 20.199.143.25420.199.143.2552,046
24320.199.144.0/2120.199.144.1 to 20.199.151.25420.199.151.2552,046
24420.199.152.0/2120.199.152.1 to 20.199.159.25420.199.159.2552,046
24520.199.160.0/2120.199.160.1 to 20.199.167.25420.199.167.2552,046
24620.199.168.0/2120.199.168.1 to 20.199.175.25420.199.175.2552,046
24720.199.176.0/2120.199.176.1 to 20.199.183.25420.199.183.2552,046
24820.199.184.0/2120.199.184.1 to 20.199.191.25420.199.191.2552,046
24920.199.192.0/2120.199.192.1 to 20.199.199.25420.199.199.2552,046
25020.199.200.0/2120.199.200.1 to 20.199.207.25420.199.207.2552,046
25120.199.208.0/2120.199.208.1 to 20.199.215.25420.199.215.2552,046
25220.199.216.0/2120.199.216.1 to 20.199.223.25420.199.223.2552,046
25320.199.224.0/2120.199.224.1 to 20.199.231.25420.199.231.2552,046
25420.199.232.0/2120.199.232.1 to 20.199.239.25420.199.239.2552,046
25520.199.240.0/2120.199.240.1 to 20.199.247.25420.199.247.2552,046
25620.199.248.0/2120.199.248.1 to 20.199.255.25420.199.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses